[[connectors]]
id = "warehouse_sql"
kind = "sql"
label = "Warehouse SQL"
description = "Read-only analytics warehouse connector definition."
uri = "postgresql://warehouse.example.invalid/agilab"
driver = "postgresql"
query_mode = "read_only"

[[connectors]]
id = "ops_opensearch"
kind = "opensearch"
label = "Operations Search Index"
description = "OpenSearch or Elasticsearch-compatible index pattern for run and operator evidence."
provider = "opensearch"
url = "https://opensearch.example.invalid"
index = "agilab-runs-*"
auth_ref = "env:OPENSEARCH_TOKEN"

[[connectors]]
id = "artifact_object_store"
kind = "object_storage"
label = "AWS Artifact Object Store"
description = "AWS S3 prefix for reusable experiment artifacts."
provider = "s3"
bucket = "agilab-artifacts"
prefix = "experiments/"
region = "eu-west-3"
auth_ref = "env:AWS_PROFILE"

[[connectors]]
id = "azure_artifact_store"
kind = "object_storage"
label = "Azure Artifact Store"
description = "Azure Blob Storage prefix for reusable experiment artifacts."
provider = "azure_blob"
account = "agilabstorage"
bucket = "agilab-artifacts"
prefix = "experiments/"
auth_ref = "env:AZURE_STORAGE_CONNECTION_STRING"

[[connectors]]
id = "gcp_artifact_store"
kind = "object_storage"
label = "GCP Artifact Store"
description = "Google Cloud Storage prefix for reusable experiment artifacts."
provider = "gcs"
bucket = "agilab-artifacts"
prefix = "experiments/"
auth_ref = "env:GOOGLE_APPLICATION_CREDENTIALS"
